events.listen('jei.hide.items', function (e) {
  //Ingots
  e.hide('immersiveengineering:ingot_aluminum')
  e.hide('immersiveengineering:ingot_nickel')
  e.hide('immersiveengineering:ingot_uranium')
  e.hide('immersiveengineering:ingot_constantan')
  e.hide('immersiveengineering:ingot_electrum')
  e.hide('immersiveengineering:ingot_steel')
  e.hide('immersiveengineering:ingot_silver')
  e.hide('immersiveengineering:ingot_lead')
  e.hide('bluepower:zinc_ingot')
  e.hide('bluepower:brass_ingot')
  e.hide('bluepower:silver_ingot')
  e.hide('mekanism:ingot_tin')
  e.hide('mekanism:ingot_lead')
  e.hide('mekanism:ingot_bronze')
  e.hide('janoeo:tin_ingot')
  e.hide('janoeo:uranium_ingot')
  e.hide('janoeo:silver_ingot')
  e.hide('janoeo:lead_ingot')
  e.hide('janoeo:osmium_ingot')
  e.hide('iceandfire:silver_ingot')
  e.hide('mapperbase:steel_ingot')
  e.hide('pickletweaks:coal_piece')
  e.hide('mekanism:ingot_copper')
  e.hide('immersiveengineering:ingot_copper')
  e.hide('tconstruct:copper_ingot')
  e.hide('janoeo:copper_ingot')
  e.hide('iceandfire:copper_ingot')
  e.hide('create:copper_ingot')
  e.hide('bluepower:copper_ingot')
  e.hide('create:zinc_ingot')
  //Nuggets
  e.hide('iceandfire:silver_nugget')
  e.hide('iceandfire:copper_nugget')
  e.hide('mekanism:nugget_copper')
  e.hide('mekanism:nugget_tin')
  e.hide('mekanism:nugget_lead')
  e.hide('mekanism:nugget_bronze')
  e.hide('immersiveengineering:nugget_copper')
  e.hide('immersiveengineering:nugget_lead')
  e.hide('immersiveengineering:nugget_electrum')
  e.hide('immersiveengineering:nugget_constantan')
  e.hide('immersiveengineering:nugget_steel')
  e.hide('immersiveengineering:nugget_uranium')
  e.hide('immersiveengineering:nugget_nickel')
  e.hide('immersiveengineering:nugget_silver')
  e.hide('create:copper_nugget')
  e.hide('tconstruct:copper_nugget')
  e.hide('eidolon:lead_nugget')
  //Mystical
  e.hide('mysticalagriculture:iridium_essence')
  e.hide('mysticalagriculture:iridium_seeds')
  e.hide('mysticalagriculture:mithril_essence')
  e.hide('mysticalagriculture:mithril_seeds')
  e.hide('mysticalagriculture:titanium_essence')
  e.hide('mysticalagriculture:titanium_seeds')
  e.hide('mysticalagriculture:chrome_essence')
  e.hide('mysticalagriculture:chrome_seeds')
  e.hide('mysticalagriculture:infusion_crystal')
  e.hide('mysticalagriculture:ultimate_seeds')
  e.hide('mysticalagriculture:ultimate_essence')
  //USRG  
  e.hide('usrg:oregenerator')
  //Titanium
  e.hide('titanium:diamond_gear')
  e.hide('titanium:iron_gear')
  e.hide('titanium:gold_gear')
  //Mapper Base  
  e.hide('mapperbase:steel_nugget')
  e.hide('mapperbase:steel_boots')
  e.hide('mapperbase:steel_leggings')
  e.hide('mapperbase:steel_chestplate')
  e.hide('mapperbase:steel_helmet')
  e.hide('mapperbase:flatter_hammer')
  e.hide('mapperbase:steel_block')
  e.hide('mapperbase:steel_plate')
  e.hide('mapperbase:steel_rod')
  e.hide('mapperbase:iron_plate')
  e.hide('mapperbase:iron_rod')
  e.hide('mapperbase:steel_fence')
  e.hide('mapperbase:raw_steel')
  //Dust
  e.hide('immersiveengineering:dust_aluminum')
  e.hide('immersiveengineering:dust_steel')
  e.hide('immersiveengineering:dust_constantan')
  e.hide('immersiveengineering:dust_electrum')
  e.hide('immersiveengineering:dust_gold')
  e.hide('immersiveengineering:dust_iron')
  e.hide('immersiveengineering:dust_copper')
  e.hide('immersiveengineering:dust_lead')
  e.hide('immersiveengineering:dust_nickel')
  e.hide('immersiveengineering:dust_uranium')
  e.hide('immersiveengineering:dust_silver')
  e.hide('immersiveengineering:dust_sulfur')
  e.hide('immersiveengineering:dust_wood')
  e.hide('mekanism:dust_obsidian')
  e.hide('mekanism:dust_emerald')
  e.hide('mekanism:dust_bronze')
  e.hide('mekanism:dust_diamond')
  e.hide('mekanism:dust_gold')
  e.hide('mekanism:dust_iron')
  e.hide('mekanism:dust_lapis_lazuli')
  e.hide('mekanism:dust_copper')
  e.hide('mekanism:dust_lead')
  e.hide('mekanism:dust_quartz')
  e.hide('mekanism:dust_sulfur')
  e.hide('mekanism:dust_uranium')
  e.hide('mekanism:dust_tin')
  e.hide('janoeo:emerald_dust')
  e.hide('janoeo:coal_dust')
  e.hide('janoeo:diamond_dust')
  e.hide('janoeo:gold_dust')
  e.hide('janoeo:iron_dust')
  e.hide('janoeo:lapis_dust')
  e.hide('janoeo:copper_dust')
  e.hide('janoeo:lead_dust')
  e.hide('janoeo:nickel_dust')
  e.hide('janoeo:silver_dust')
  e.hide('janoeo:tin_dust')
  e.hide('createaddition:diamond_grit')
  e.hide('envirocore:quartz_powder')
  e.hide('envirocore:charcoal_powder')
  e.hide('bluepower:zinc_tiny_dust')
  e.hide('immersiveengineering:dust_wood')
  e.hide('mekanism:sawdust')
  e.hide('pneumaticcraft:wheat_flour')
  //Plate
  e.hide('create:iron_sheet')
  e.hide('create:brass_sheet')
  e.hide('create:lapis_sheet')
  e.hide('create:copper_sheet')
  e.hide('create:golden_sheet')
  e.hide('createaddition:zinc_sheet')
  e.hide('immersiveengineering:plate_iron')
  e.hide('immersiveengineering:plate_gold')
  e.hide('immersiveengineering:plate_iron')
  e.hide('immersiveengineering:plate_copper')
  e.hide('immersiveengineering:plate_lead')
  e.hide('immersiveengineering:plate_electrum')
  e.hide('immersiveengineering:plate_nickel')
  e.hide('immersiveengineering:plate_constantan')
  e.hide('immersiveengineering:plate_silver')
  //Overloaded
  e.hide('overloaded:hyper_item_receiver')
  e.hide('overloaded:hyper_energy_receiver')
  e.hide('overloaded:hyper_fluid_receiver')
  e.hide('overloaded:hyper_item_sender')
  e.hide('overloaded:hyper_energy_sender')
  e.hide('overloaded:hyper_fluid_sender')
  e.hide('overloaded:almost_infinite_barrel')
  e.hide('overloaded:almost_infinite_capacitor')
  e.hide('overloaded:almost_infinite_tank')
  e.hide('overloaded:true_infinite_barrel')
  e.hide('overloaded:true_infinite_capacitor')
  e.hide('overloaded:true_infinite_tank')
  e.hide('overloaded:fluid_core')
  e.hide('overloaded:item_core')
  //Ore
  e.hide('immersiveengineering:ore_silver')
  e.hide('immersiveengineering:ore_nickel')
  e.hide('immersiveengineering:ore_uranium')
  e.hide('immersiveengineering:ore_lead')
  e.hide('immersiveengineering:ore_copper')
  e.hide('immersiveengineering:ore_aluminum')
  e.hide('create:zinc_ore')
  e.hide('create:copper_ore')
  e.hide('bluepower:silver_ore')
  e.hide('bluepower:zinc_ore')
  e.hide('bluepower:copper_ore')
  e.hide('janoeo:silver_ore')
  e.hide('janoeo:copper_ore')
  e.hide('janoeo:tin_ore')
  e.hide('janoeo:lead_ore')
  e.hide('janoeo:osmium_ore')
  e.hide('iceandfire:silver_ore')
  e.hide('iceandfire:copper_ore')
  e.hide('eidolon:lead_ore')
  e.hide('tconstruct:copper_ore')
  e.hide('iceandfire:amythest_ore')
  e.hide('iceandfire:sapphire_ore')
  e.hide('janoeo:amethyst_ore')
  e.hide('janoeo:sapphire_ore')
  e.hide('janoeo:sapphire_nether_ore')
  e.hide('janoeo:ruby_ore')
  e.hide('janoeo:ruby_nether_ore')
  e.hide('mekanism:lead_ore')
  e.hide('mekanism:tin_ore')
  e.hide('mekanism:copper_ore')
  e.hide('mekanism:uranium_ore')
  //Chest/Barrel
  e.hide('ironchest:iron_to_gold_chest_upgrade')
  e.hide('ironchest:gold_to_diamond_chest_upgrade')
  e.hide('ironchest:copper_to_silver_chest_upgrade')
  e.hide('ironchest:silver_to_gold_chest_upgrade')
  e.hide('ironchest:copper_to_iron_chest_upgrade')
  e.hide('ironchest:diamond_to_crystal_chest_upgrade')
  e.hide('ironchest:wood_to_iron_chest_upgrade')
  e.hide('ironchest:wood_to_copper_chest_upgrade')
  e.hide('ironchest:diamond_to_obsidian_chest_upgrade')
  e.hide('metalbarrels:wood_to_copper')
  e.hide('metalbarrels:wood_to_iron')
  e.hide('metalbarrels:wood_to_silver')
  e.hide('metalbarrels:wood_to_gold')
  e.hide('metalbarrels:wood_to_diamond')
  e.hide('metalbarrels:wood_to_obsidian')
  e.hide('metalbarrels:wood_to_netherite')
  e.hide('metalbarrels:copper_to_iron')
  e.hide('metalbarrels:copper_to_silver')
  e.hide('metalbarrels:copper_to_gold')
  e.hide('metalbarrels:copper_to_diamond')
  e.hide('metalbarrels:copper_to_obsidian')
  e.hide('metalbarrels:iron_to_silver')
  e.hide('metalbarrels:iron_to_gold')
  e.hide('metalbarrels:iron_to_diamond')
  e.hide('metalbarrels:iron_to_obsidian')
  e.hide('metalbarrels:silver_to_gold')
  e.hide('metalbarrels:silver_to_diamond')
  e.hide('metalbarrels:silver_to_obsidian')
  e.hide('metalbarrels:gold_to_diamond')
  e.hide('metalbarrels:gold_to_obsidian')
  e.hide('metalbarrels:diamond_to_obsidian')
  e.hide('metalbarrels:wood_to_crystal')
  e.hide('metalbarrels:copper_to_crystal')
  e.hide('metalbarrels:iron_to_crystal')
  e.hide('metalbarrels:silver_to_crystal')
  e.hide('metalbarrels:gold_to_crystal')
  e.hide('metalbarrels:diamond_to_crystal')
  //Other
  e.hide('#quark:candles')
  e.hide('usrg:glowstonegenerator')
  e.hide('usrg:quartzgenerator')
  e.hide('usrg:redstonegenerator')
  e.hide('usrg:dyegenerator')
  e.hide('projecte:watch_of_flowing_time')
  e.hide('quark:carrot_crate')
  e.hide('quark:potato_crate')
  e.hide('quark:apple_crate')
  e.hide('quark:beetroot_crate')
  e.hide('quark:sugar_cane_block')
  e.hide('byg:chain_plating')
  e.hide('aiotbotania:manasteel_hoe')
  e.hide('cyclic:uncrafter')
  e.hide('morered:red_alloy_ingot')
  e.hide('kubejs:mlsexy')
  e.hide('forbidden_arcanus:arcane_gold_ingot')
  e.hide('forbidden_arcanus:arcane_gold_nugget')
  e.hide('masterfulmachinery:quarkonium_qfe_port_energy_output')
  e.hide('masterfulmachinery:sonicrings_ringenergy_port_energy_output')
  e.hide('mysticalagriculture:infusion_crystal')
  e.hide('compactmachines:solid_wall')
  e.hide('immersiveengineering:stick_iron')
  e.hide('bluepower:wood_sickle')
  e.hide('bluepower:stone_sickle')
  e.hide('bluepower:iron_sickle')
  e.hide('bluepower:gold_sickle')
  e.hide('bluepower:diamond_sickle')
  e.hide('pickletweaks:watering_can')
  e.hide('pickletweaks:reinforced_watering_can')
  e.hide('industrialforegoing:black_hole_controller')
  e.hide('ironfurnaces:upgrade_copper')
  e.hide('ironfurnaces:upgrade_iron')
  e.hide('extendedcrafting:handheld_table')
  e.hide('mapperbase:raw_bitumen')
  e.hide('janoeo:amethyst')
  e.hide('janoeo:sapphire')
  e.hide('janoeo:ruby')
  e.hide('kubejs:incomplete_draconium')
  e.hide('ftbquests:missing_item')
  e.hide('sophisticatedbackpacks:tank_upgrade')
  e.hide('pickletweaks:watering_can')
  e.hide('pickletweaks:reinforced_watering_can')
  //Refined 
  e.hide('extrastorage:storagepart_256k')
  e.hide('extrastorage:storagepart_1024k')
  e.hide('extrastorage:storagepart_4096k')
  e.hide('extrastorage:storagepart_16384k')
  e.hide('extrastorage:storagepart_16384k_fluid')
  e.hide('extrastorage:storagepart_65536k_fluid')
  e.hide('extrastorage:storagepart_262144k_fluid')
  e.hide('extrastorage:storagepart_1048576k_fluid')
  e.hide('extrastorage:disk_256k')
  e.hide('extrastorage:disk_1024k')
  e.hide('extrastorage:disk_4096k')
  e.hide('extrastorage:disk_16384k')
  e.hide('extrastorage:disk_16384k_fluid')
  e.hide('extrastorage:disk_65536k_fluid')
  e.hide('extrastorage:disk_262144k_fluid')
  e.hide('extrastorage:disk_1048576k_fluid')
  e.hide('extrastorage:block_256k')
  e.hide('extrastorage:block_1024k')
  e.hide('extrastorage:block_4096k')
  e.hide('extrastorage:block_16384k')
  e.hide('extrastorage:block_16384k_fluid')
  e.hide('extrastorage:block_65536k_fluid')
  e.hide('extrastorage:block_262144k_fluid')
  e.hide('extrastorage:block_1048576k_fluid')
})